# Debugger
A client side EVM debugger, based on `@truffle/debugger`

## Usage
1. Install `@sentio/debugger` or add the dependency in the package.json
`npm install --save @sentio/debugger`
2. Initialize a debugger client
- Call the sentio server to get the compliation result of a transaction, for example:
'https://test.sentio.xyz/api/v1/solidity/fetch_and_compile?TxHash=0x857c1331d430048a16b71515464c6d68e7cc17337de82afe0151652435862b4a'
- Initialize the debugger client with solidity server url, transaction hash, compilation results and chain id:
```typescript
new DebuggerClient().initialize(
  {
    providerURL: 'https://test.sentio.xyz/api/v1/solidity',
    txnHash: "0x857c1331d430048a16b71515464c6d68e7cc17337de82afe0151652435862b4a",
    shimmedCompilations: shimmedCompilations,
    chainId: "0x1",
  }
);
```
Check out the example folder, it shows how to make it work on frontend.
